#!/bin/bash

set -euo pipefail

git fetch
changed=$(git diff --name-only HEAD "origin/$(git rev-parse --abbrev-ref HEAD)")

git pull

if [[ $changed = *package-lock.json* ]]; then
  npm ci
fi
npm run build
pm2 restart apple-guild-bots