import { NoteyDetails, GlobalConfig } from '../types';
import { Bot, useManualMessageSending } from '../common';

export class Notey extends Bot<NoteyDetails> {
  constructor(config: GlobalConfig) {
    const botConfig = config.bots.notey;
    super(botConfig);

    this.discordClient.on('message', async message => {
      useManualMessageSending.bind(this)(message);
    });

    this.discordClient.login(this.config.token);
  }
}
